input:not([type=checkbox]):not([type=radio]),
textarea,
select {
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
}

input, textarea {
    outline: none;
    &:focus:required:invalid { border-color: red }
    &:required:valid { border-color: green }
}

option::selection {background: #ccc;}
option::-moz-selection {background: #ccc;}
option::-webkit-selection {background: #ccc; color:#fff;}


.field {
    margin: 0;
    width: 100%;
  //  height: 56px;
    outline: none;
    color: $black;
    font-weight: 400;
    font-size: size-rel(14px);
    line-height: size-rel(20px);
    padding: 15px 20px;
    background: #f4f6f7;
    display: inline-block;
    vertical-align: middle;
    border: 1px solid #d7d7d7;
    box-shadow:  inset 0px 0px 10px 0px rgba(0, 0, 0, 0.06);
    @include placeholder($black);

    &::-ms-clear {
        display: none;
        width: 0;
        height: 0;
    }

    &:focus,
    &:active {
        outline: none;
        @include placeholder(transparent);
    }


    &.error {
        border-color: red !important;
    }

}

textarea.field {
    height: auto;
    resize: none;
}


.checkbox {
    font-size: 0;
    line-height: 0;
    font-weight: 400;
    position: relative;
    display: inline-block;

    &__input {
        top: 0;
        left: 0;
        opacity: 0;
        width: 1px;
        height: 1px;
        visibility: hidden;
        position: absolute;
    }

    &__label {
        color: $primary;
        font-size: size-rel(14px);
        line-height: size-rel(16px);
        position: relative;
        padding-left: 24px;
        display: inline-block;

        &::before {
            top: 0;
            left: 0;
            z-index: 1;
            content: '';
            width: 16px;
            height: 16px;
            display: block;
            position: absolute;
            background: #f5f5f5;
            border: 1px solid $secondary;
            border-radius: 2px;
        }

        &:after {
            top: 4px;
            left: 4px;
            z-index: 2;
            content: '';
            width: 8px;
            height: 8px;
            display: block;
            opacity: 0;
            visibility: hidden;
            position: absolute;
            background: $secondary;
            border-radius: 2px;
        }
    }


    &__input:checked + .checkbox__label {

        &::before {
            border-color: $secondary;
        }

        &::after {
            opacity: 1;
            visibility: visible;
        }
    }

    &__input:disabled + .checkbox__label {
        opacity: 0.4;
    }

}

.radio {
    font-size: 0;
    line-height: 0;
    cursor: pointer;
    font-weight: 400;
    position: relative;
    display: inline-block;

    &__input {
        top: 0;
        left: 0;
        width: 1px;
        height: 1px;
        opacity: 0;
        overflow: hidden;
        position: absolute;
        visibility: hidden;
    }

    &__label {
        font-size: size-rel(16px);
        line-height: size-rel(18px);
        padding-left: 30px;
        position: relative;
        display: inline-block;

        &::before {
            top: 0;
            left: 0;
            content: '';
            width: 18px;
            height: 18px;
            display: block;
            position: absolute;
            background: #f5f5f5;
            border: 4px solid #f5f5f5;
            border-radius: 50%;
        }
    }

    &__input:checked + .radio__label {

        &::before {
            background-color: $secondary;
        }
    }
}


.form-group {
    margin-bottom: 10px;
}


.file-form {
    color: #000;
    font-size: 0;
    line-height: 0;
    font-weight: 400;
    height: 52px;
    position: relative;
    display: flex;
    align-items: center;
    justify-content: space-between;

    input {
        top: 0;
        left: 0;
        opacity: 0;
        width: 100%;
        height: 100%;
        position: absolute;
        visibility: hidden;
    }

    &__button {
        cursor: pointer;
        color: #313638;
        font-weight: 500;
        font-size: size-rel(14px);
        line-height: size-rel(20px);
        padding: 5px 30px;
        text-align: center;
        background: #b3bcc1;
        border-radius: 15px;
        display: inline-block;
        text-decoration: none;
        flex-shrink: 0;

        &:hover {
            color: $black;
            background: $secondary;
            text-decoration: none;
        }
    }

    &__label {
        display: block;
        color: #313638;
        font-weight: 500;
        font-size: size-rel(14px);
        line-height: size-rel(20px);
        padding-left: 20px;
        white-space: nowrap;
        flex-grow: 1;
        max-width: calc(100% - 142px);

        span {
            max-width: 100%;
            overflow: hidden;
            display: inline-block;
            text-overflow: ellipsis;
        }
    }
}
